# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::FBOTexture3DAttachment Class Reference

A 3D texture renderbuffer to be attached to a framebuffer object rendering target (FBORenderTarget). More...

`#include <FramebufferObject.hpp>`

Inheritance diagram for vl::FBOTexture3DAttachment:

List of all members.

## Public Member Functions

| FBOTexture3DAttachment (Texture *texture, int mipmap_level, int layer)
virtual const char * | className ()
| Returns the name of the class.
Texture * | texture ()
const Texture * | texture () const
int | mipmapLevel () const
void | setMipmapLevel (int level)
int | layer () const
void | setLayer (int layer)
virtual void | bindAttachment (int w, int h, EAttachmentPoint attach_point)
| Binds this renderbuffer to the currently active framebuffer object (GL_FRAMEBUFFER).

## Protected Attributes

ref< Texture > | mTexture
int | mMipmapLevel
int | mLayer

## Detailed Description

A 3D texture renderbuffer to be attached to a framebuffer object rendering target (FBORenderTarget).

Wraps the function glFramebufferTexture3DEXT.

## Constructor & Destructor Documentation

vl::FBOTexture3DAttachment::FBOTexture3DAttachment | ( | Texture * | texture,
|  | int | mipmap_level,
|  | int | layer |
| ) |  |  | `[inline]`

## Member Function Documentation

virtual const char* vl::FBOTexture3DAttachment::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::FBOAttachmentAbstract.

Texture* vl::FBOTexture3DAttachment::texture | ( |  | ) | `[inline]`

const Texture* vl::FBOTexture3DAttachment::texture | ( |  | ) | const`[inline]`

int vl::FBOTexture3DAttachment::mipmapLevel | ( |  | ) | const`[inline]`

void vl::FBOTexture3DAttachment::setMipmapLevel | ( | int | level | ) | `[inline]`

int vl::FBOTexture3DAttachment::layer | ( |  | ) | const`[inline]`

void vl::FBOTexture3DAttachment::setLayer | ( | int | layer | ) | `[inline]`

void FBOTexture3DAttachment::bindAttachment | ( | int | w,
|  | int | h,
|  | EAttachmentPoint | attach_point |
| ) |  |  | `[virtual]`

Binds this renderbuffer to the currently active framebuffer object (GL_FRAMEBUFFER).

This function also initializes its storage if 'w' and 'h' differ from the renderbuffer's current width() and height() and the renderbuffer is not a texture.

Implements vl::FBOAttachmentAbstract.

## Member Data Documentation

ref<Texture> vl::FBOTexture3DAttachment::mTexture`[protected]`

int vl::FBOTexture3DAttachment::mMipmapLevel`[protected]`

int vl::FBOTexture3DAttachment::mLayer`[protected]`

The documentation for this class was generated from the following files:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/FramebufferObject.hpp
- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/FramebufferObject.cpp

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:35 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.